%define debug_package %{nil}

%{!?_selinux_policy_version: %global _selinux_policy_version %(sed -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' /usr/share/selinux/devel/policyhelp 2>/dev/null)}

Name:		cephmetrics
Version:	2.0.6
Release:	1%{?dist}
Summary:	Monitoring service for Ceph clusters

License:	GPLv3
URL:		https://github.com/ceph/cephmetrics
Source0:	cephmetrics-2.0.6.zip

%description
The monitoring service with web frontend for Ceph storage clusters providing several statistical data graphed by grafana.

%package ansible
Summary:	Monitoring service for Ceph clusters deployment tool
Requires:	ceph-ansible
Requires:	PyYAML
Requires:	python-requests
Requires:	python-netaddr
Obsoletes:	cephmetrics-grafana-plugins < %{version}-%{release}
Obsoletes:	cephmetrics-collectors < %{version}-%{release}
Obsoletes:	cephmetrics < %{version}-%{release}
%description ansible
The monitoring service with web frontend for Ceph storage clusters providing several statistical data graphed by grafana. This package contains a set of ansible playbooks to deploy a cephmetrics server.

%prep
%setup -q
# Disable devel_mode in the rpms
patch -p1 < patches/0001-ansible-Disable-devel_mode.patch


%build
# Change the devel_mode defaults
sed -i -e 's/devel_mode: true/devel_mode: false/' ansible/roles/*/defaults/main.yml

# Change the prometheus container location/version
sed -i -e 's|container_name: .*$|container_name: registry.access.redhat.com/openshift3/prometheus|' ansible/roles/ceph-prometheus/defaults/main.yml
sed -i -e 's|version: .*$|version: v3.9|' ansible/roles/ceph-prometheus/defaults/main.yml

# Change the grafana container location/version
sed -i -e 's|container_name: .*$|container_name: registry.access.redhat.com/rhceph/rhceph-3-dashboard-rhel7|' ansible/roles/ceph-grafana/defaults/main.yml
sed -i -e 's|version: .*$|version: 3|' ansible/roles/ceph-grafana/defaults/main.yml

# Change the service_name for node_exporter
sed -i -e 's|service_name: .*|service_name: prometheus-node-exporter|' ansible/roles/ceph-node-exporter/defaults/main.yml

%install
# Install ansible playbooks
install -d %{buildroot}%{_datadir}
cp -L -r ansible %{buildroot}%{_datadir}/cephmetrics-ansible
exit 0


%files ansible
%{_datadir}/cephmetrics-ansible
%doc dashboard.yml
%doc etc/grafana
%doc LICENSE
%doc README

%changelog
* Thu Jul 11 2019 Boris Ranto <branto@redhat.com> - 2.0.6-1
- Upstream sync (1697336)

* Tue Jul 09 2019 Boris Ranto <branto@redhat.com> - 2.0.5-1
- Fix downstream patch that disables devel mode

* Thu Jun 20 2019 Boris Ranto <branto@redhat.com> - 2.0.4-1
- Upstrema sync (1636136)

* Thu Jun 20 2019 Boris Ranto <branto@redhat.com> - 2.0.3-1
- Upstrema sync (1677269, 1652896)

* Tue Feb 05 2019 Boris Ranto <branto@redhat.com> - 2.0.2-1
- Upstream sync (1610876)

* Tue Oct 09 2018 Boris Ranto <branto@redhat.com> - 2.0.1-1
- Fix cluster dashboard OSD count (1627725)

* Wed Aug 29 2018 Boris Ranto <branto@redhat.com> - 2.0-5
- Upstream sync (1554281)

* Tue Jul 31 2018 Boris Ranto <branto@redhat.com> - 2.0-4
- Upstream sync (1608863)

* Thu Jul 26 2018 Boris Ranto <branto@redhat.com> - 2.0-3
- Upstream sync (1539663, 1598344)

* Mon Jul 16 2018 Boris Ranto <branto@redhat.com> - 2.0-2
- Upstream sync

* Tue Jun 26 2018 Boris Ranto <branto@redhat.com> - 2.0-1
- New cephmetrics version

* Wed Jan 17 2018 Boris Ranto <branto@redhat.com> - 1.0-8
- Depend on python-requests (1534657)

* Mon Oct 30 2017 Boris Ranto <branto@redhat.com> - 1.0-7
- Sync up with upstream

* Tue Oct 24 2017 Boris Ranto <branto@redhat.com> - 1.0-6
- Require libsemanage-python in collectors, not ansible subpackage

* Fri Oct 20 2017 Boris Ranto <branto@redhat.com> - 1.0-5
- We need  libsemanage-python for ansible to work properly

* Thu Oct 12 2017 Boris Ranto <branto@redhat.com> - 1.0-4
- Sync up with upstream

* Fri Oct 06 2017 Boris Ranto <branto@redhat.com> - 1.0-3
- ansible scripts require python-netaddr

* Fri Oct 06 2017 Boris Ranto <branto@redhat.com> - 1.0-2
- Sync up with upstream
- Disable devel_mode
- Build on all the supported arches

* Thu Sep 21 2017 Boris Ranto <branto@redhat.com> - 1.0-1
- Update the source tarball

* Wed Aug 16 2017 Boris Ranto <branto@redhat.com> - 1.0-0
- Update the cephmetrics sources
